#!/usr/bin/python
# coding:utf-8
print "Content-Type: text/html\n";

# import commands

# check = commands.getoutput("whoami")

# print check


import ConfigParser
import json

INI_CONFIG_FILE = '/opt/RF/hdip3000v.cfg'



def main():

    # open configuration file
    default_config = {
        'count': '0'
    }
    try:
        config = ConfigParser.SafeConfigParser(default_config)
        config.read(INI_CONFIG_FILE)
        count = config.getint('audio', 'line')
    except Exception, e:
        print >> sys.stderr, 'Error: Could not read config file: %s' % e
        sys.exit(1)

    print 'count = %s' % count

    if not config.has_section('audio'):
        config.add_section('audio')

    # write count to configuration file
    try:
        config.set('audio', 'line', str(count+1))
        config.write(open(INI_CONFIG_FILE, 'w'))
    except Exception, e:
        print >> sys.stderr, 'Error: Could not write to config file: %s' % e
        sys.exit(1)

if __name__ == '__main__':
    main()