#!/usr/bin/env python
# -*- coding: UTF-8 -*-
print "Content-Type: text/html\n";

import sys, json
import ConfigParser
from collections import defaultdict
import os.path



INI_CONFIG_FILE = '/opt/RF/websetting/websetting.cfg'
LOCK_FOLDER = '/opt/RF/websetting/lockdir'
# INI_CONFIG_FILE = '/home/user/websetting.cfg'



if os.path.isdir(LOCK_FOLDER):
    print("Status:Communicating")
    flg_status = False
else:
    print("Status:Free")
    flg_status = True
    
data = sys.stdin.read()
result_data = json.loads(data)


encode_json_data = json.dumps(result_data, indent=4)
# print(encode_json_data)
encode_int_data = ConfigParser.RawConfigParser()
# print(encode_int_data)


res = defaultdict(dict)

# def dict2ini(result_data, root):
#     for k, v in result_data.items():
#         if isinstance(v, dict):
#             _key = '%s.%s' % (root, k) if root else k
#             if v:
#                 dict2ini(v, _key)
#             else:
#                 res[_key] = {}
#         elif isinstance(v, (basestring, int, float)):
#             res[root] = {k:v}
# dict2ini(result_data, '')

string_json = json.dumps(result_data, indent=4 , ensure_ascii=False)
print(string_json)

print("-------------")

for key in sorted(result_data.keys()):
    encode_int_data.add_section(key)
    for subKey, value in result_data[key].items():
        encode_int_data.set(key, subKey, value)
        # print key , value

if flg_status:
    # write count to configuration file
    try:
        encode_int_data.write(open(INI_CONFIG_FILE, 'w'))
    except Exception, e:
        print >> sys.stderr, 'Error: Could not write to config file: %s' % e
        sys.exit(1)

    for section in encode_int_data.sections():
        print "[" , section , "]"
        for option in encode_int_data.options(section):
            print " ", option, "=", encode_int_data.get(section, option)
else:
    print("Error:Lock")