var websock;
var password = false;
var maxNetworks;
var host;
var port;
var config_load;    //ページ読み込み時の本体設定データ
var config_savedata;    //ページ読み込み時の本体パラメータデータ
var mode_IP_NGN;            //NGN/IPモード状態保持用

var HTTPrequest = function(url, method, callback, ResponseType, RequestHeader1,RequestHeader2,senddata) // How can I use this callback?
{
    var request = new XMLHttpRequest();
    request.onreadystatechange = function()
    {
        if (this.readyState == 4 && this.status == 200)
        {
            callback(this); // Another callback here            
            console.log("HTTP request Success -" + method + " [" + url + "]");
            retstatus = "OK";
        }else{
            console.log("HTTP request Error -" + method + " [" + url + "] readystate:" + this.readyState + ",status:" + this.status );
            retstatus = "NG";
        }
    }; 
    request.open(method, url, true);
    if(ResponseType != null){
        request.responseType = ResponseType;
    }
    if(RequestHeader1 != null && RequestHeader2 != null){
        request.setRequestHeader( RequestHeader1, RequestHeader2 );
    }
    request.send(senddata);
    return {status: retstatus}
}


//規定のフォームを有効・無効関数（NGNモードかつOpusを選択したときに実行）
function doEnableDisbleFormUpdate() {

    var form_disabled_video;
    var form_disabled_incom;
    var form_disabled_contorl;
    var form_disabled_serial;
    var Audio = $("select[name=audio-codec_id]").val();
    var txt_warning;

    //NGNモードで音声コーデックの項目にがOpusが選択された場合
    if(mode_IP_NGN == 'NGN' && Audio == 96){
        form_disabled_video = true;
        form_disabled_incom = true;
        form_disabled_contorl = true;
        form_disabled_serial = true;
        txt_warning = "注意：NGNでOpus使用時はビデオ送受信、GPIO/RS-232C通信、インカム通信は使用できません";
        document.getElementById("_comment-audio-codec_id").textContent = txt_warning;
        document.getElementById("_comment-video_id").textContent = txt_warning;
        document.getElementById("_comment-incom_id").textContent = txt_warning;
        document.getElementById("_comment-control_id").textContent = txt_warning;
        document.getElementById("_comment-serial_id").textContent = txt_warning;
    //NGNモードで音声コーデックの項目にがu-lowが選択された場合
    }else if(mode_IP_NGN == 'NGN' && Audio == 0){
        form_disabled_video = true;
        form_disabled_incom = true;
        form_disabled_contorl = true;
        form_disabled_serial = true;
        txt_warning = "注意：NGNでTEL使用時はビデオ送受信、GPIO/RS-232C通信、インカム通信は使用できません";
        document.getElementById("_comment-audio-codec_id").textContent = txt_warning;
        document.getElementById("_comment-video_id").textContent = txt_warning;
        document.getElementById("_comment-incom_id").textContent = txt_warning;
        document.getElementById("_comment-control_id").textContent = txt_warning;
        document.getElementById("_comment-serial_id").textContent = txt_warning;
    //NGNモードで音声コーデックの項目にがLinearPCM(LPCM)が選択された場合
    }else if(Audio == 100){
        form_disabled_video = true;
        form_disabled_incom = false;
        form_disabled_contorl = false;
        form_disabled_serial = false;
        txt_warning = "注意：LinearPCM(LPCM)使用時はビデオ送受信は使用できません";
        document.getElementById("_comment-audio-codec_id").textContent = txt_warning;
        document.getElementById("_comment-video_id").textContent = txt_warning;
    }else{
        form_disabled_video = false;
        form_disabled_incom = false;
        form_disabled_contorl = false;
        form_disabled_serial = false;
        txt_warning = "";
        document.getElementById("_comment-audio-codec_id").textContent = txt_warning;
        document.getElementById("_comment-video_id").textContent = txt_warning;
        document.getElementById("_comment-incom_id").textContent = txt_warning;
        document.getElementById("_comment-control_id").textContent = txt_warning;
        document.getElementById("_comment-serial_id").textContent = txt_warning;
    }

    var selectItem;
    var $instance_slider;
    var slider;

    //Video
    selectItem  = document.getElementsByName("video-enable");               //Headphone出力元音声
    selectItem[0].disabled = form_disabled_video;
    selectItem  = document.getElementsByName("video-frame_rate_fps");       //フレームレート
    selectItem[0].disabled = form_disabled_video;
    selectItem  = document.getElementsByName("video-band_width_kbps");      //帯域幅
    selectItem[0].disabled = form_disabled_video;
    selectItem  = document.getElementsByName("video-port");                 //受信ポート番号
    selectItem[0].disabled = form_disabled_video;
    
    //インカム
    selectItem  = document.getElementsByName("incom-enable");      //有効/無効
    selectItem[0].disabled = form_disabled_incom;
    $instance_slider = $(".slider_10");                            //入力ゲイン
    slider = $instance_slider.data("ionRangeSlider");
    slider.update({ disable: form_disabled_incom });
    $instance_slider = $(".slider_11");                            //出力ゲイン
    slider = $instance_slider.data("ionRangeSlider");
    slider.update({ disable: form_disabled_incom });
    selectItem  = document.getElementsByName("incom-pkts_for_pback");           //NGN接続時再生開始パケット数
    selectItem[0].disabled = form_disabled_incom;
    selectItem  = document.getElementsByName("incom-pkts_for_pback_ip");        //IP接続時再生開始パケット数
    selectItem[0].disabled = form_disabled_incom;
    selectItem  = document.getElementsByName("incom-port");                     //受信ポート番号
    selectItem[0].disabled = form_disabled_incom;

    //Contorl
    selectItem  = document.getElementsByName("control-enable");             //使用有無
    selectItem[0].disabled = form_disabled_contorl;
    selectItem  = document.getElementsByName("control-port");               //受信ポート番号
    selectItem[0].disabled = form_disabled_contorl;
    selectItem  = document.getElementsByName("control-band_width_kbps");    //使用帯域幅
    selectItem[0].disabled = form_disabled_contorl;
    

    //シリアル
    selectItem  = document.getElementsByName("comm-speed");         //通信速度
    selectItem[0].disabled = form_disabled_serial;
    selectItem  = document.getElementsByName("comm-length");        //データ長
    selectItem[0].disabled = form_disabled_serial;
    selectItem  = document.getElementsByName("comm-parity");        //パリティビット
    selectItem[0].disabled = form_disabled_serial;
    selectItem  = document.getElementsByName("comm-stopbit");       //ストップビット
    selectItem[0].disabled = form_disabled_serial;
    
    
}

var flg_reload = 0;     //リロード回数カウント
var flg_Communicating = false;  //接続ステータスフラグ

function callback_postdata(data) {

    if(data.responseURL.indexOf('setconfig.py') > -1){
        if(data.response.indexOf('Status:Free') > -1){
            flg_Communicating = false;
        }
        if(data.response.indexOf('Status:Communicating') > -1){
            flg_Communicating = true;
        }

    }
    if(flg_reload==1){
            if(flg_Communicating == false){
                alert( '設定を反映させました');
            }else{
                alert( 'エラー：装置がダイヤル状態の為、設定できませんでした');
            }
            console.log(data.responseText);
            location.reload();
    }
    flg_reload ++;
}

//Updateボタン動作
function doUpdate() {
    var form = $("#formSave");
    var flg_diff_savedata = false;

    var data = form.serializeArray();
    delete(data['filename']);
    
    var senddata_obj_config = new Object();     //本体設定データ
    var senddata_obj_savedata = new Object();   //本体の属性（名前など）のデータ
    Object.keys(data).forEach(function(key) {
        var keysplit = data[key].name.split("-");
        var config_load_temp = config_load;     //ページ読み込み時の本体設定データ
        var config_savedata_temp = config_savedata;
        if (data[key].name.match(/-/) && !(keysplit[0].substr(0,1).match(/_/)) && data[key].value !=""){    //Codec setting data

            //比較データの生成
            //フォームのデータでheadphone-volumeセクションはオフセット
            if((keysplit[0]=='headphone') && (keysplit[1] == 'volume')){
                var t2 =eval(data[key].value)+eval(63);
            }else{
                var t2 =data[key].value;
            }

            //ロードされたConfig data配列にフォームデータでのKeyがあるか確認（ない場合はフォームデータと同一にして後の処理で変更なしとして扱い送信させない）
            if(keysplit[1]!=null){
                if( (keysplit[0] in config_load_temp) ){
                    if( (keysplit[1] in config_load_temp[keysplit[0]]) ){
                    var t1 =config_load_temp[keysplit[0]][keysplit[1]];
                }else{
                    t1 = t2;
                }
                }else{
                t1 = t2;
                }
            }
            if(keysplit[0] == 'LAN1' || keysplit[0] == 'LAN2'){
                if(data[key].value != ''){
                    var t1 ='';
                }
            }

            //NGN/IPモードの項目は無視する（ID番号と名称で異なるので必ず不一致になる＆Updateしない項目の為）
            if(keysplit[0] == 'application' && keysplit[1] == 'mode'){  
                t1 = t2;
            }
            //フォーム内の変更箇所の判定
            if(t1 != t2)
            {
                var obj = new Object();

                if(senddata_obj_config[keysplit[0]] != null){   //senddata_obj_config にまだセクションが作られていない場合はセクション作成
                    obj = senddata_obj_config[keysplit[0]];
                }

                if((keysplit[0]=='headphone') && (keysplit[1] == 'volume')){
                    obj[keysplit[1]] = eval(data[key].value)+eval(63);
                }else{
                    obj[keysplit[1]] = data[key].value;
                }
                senddata_obj_config[keysplit[0]] = obj;
            }
        }
        
        if (data[key].name.match(/-/) && (keysplit[0].substr(0,1).match(/_/))){     //save data
            
            //比較データの生成
            //フォームのデータでheadphone-volumeセクションはオフセット
            var t4 =data[key].value;

            //ロードされたConfig data配列にフォームデータでのKeyがあるか確認（ない場合はフォームデータと同一にして後の処理で変更なしとして扱い送信させない）
            if(keysplit[1]!=null){
                if( (keysplit[0] in config_savedata_temp) ){
                    if( (keysplit[1] in config_savedata_temp[keysplit[0]]) ){
                        var t3 =config_savedata_temp[keysplit[0]][keysplit[1]];
                    }else{
                        t3 = t4;
                    }
                }else{
                    t3 = t4;
                }
            }
            
            //フォーム内の変更箇所の判定
            if(t3 != t4){
                flg_diff_savedata = true;
            }

            var obj = new Object();

            if(senddata_obj_savedata[keysplit[0]] != null){
                obj = senddata_obj_savedata[keysplit[0]];
            }

            obj[keysplit[1]] = data[key].value;
            senddata_obj_savedata[keysplit[0]] = obj;
            
        }

    });

    var senddata_config = JSON.stringify(senddata_obj_config);
    var senddata_savedata = JSON.stringify(senddata_obj_savedata);


    var host = window.location.hostname;
    var port = location.port;
    

    flg_reload = 0;
    
    if(senddata_config != '{}'){
        HTTPrequest('http://' + host + ':' + port + '/script/setconfig.py', 'POST', callback_postdata, null, 'Content-Type', 'application/json' ,senddata_config );
    }else{
        flg_reload ++;
    }

    if(flg_diff_savedata){
        HTTPrequest('http://' + host + ':' + port + '/script/setsavedata.py', 'POST', callback_postdata, null, 'Content-Type', 'application/json' ,senddata_savedata );
    }else{
        flg_reload ++;
    }
    if(flg_reload == 2){
        alert( '設定を変更した項目がありません。');
    }
    return false;
}

//ロゴファイルアップロード
function doLogoUpload() {

    var contents = $("input[name='upgrade']").prop("files")[0];
    if (typeof contents == 'undefined') {
        alert("First you have to select a file from your computer.");
        return false;
    }
    var filename = $("input[name='upgrade']").val().split('\\').pop();

    var data = new FormData();
    data.append("up_file", contents);

    $.ajax({

        // Your server script to process the upload
        url: 'http://' + host + ':' + port + '/script/upload.php',
        type: 'POST',
        dataType : "text",

        // Form data
        data: data,
        // Tell jQuery not to process data or worry about content-type
        // You *must* include these options!
        cache: false,
        contentType: false,
        processData: false,
        //mimeType:"multipart/form-data",

        success: function(data, text) {
            $("#upgrade-progress").hide();
            console.log(data);
            console.log(data.indexOf('uploaded'));
            if (data.indexOf('uploaded') > -1) {
                alert("logo image uploaded");
                setTimeout(function() {
                    window.location = "/";
                }, 5000);
            } else {
                alert("There was an error trying to upload the new image, please try again.");
            }
        },

        // Custom XMLHttpRequest
        xhr: function() {
            $("#upgrade-progress").show();
            var myXhr = $.ajaxSettings.xhr();
            if (myXhr.upload) {
                // For handling the progress of the upload
                myXhr.upload.addEventListener('progress', function(e) {
                    if (e.lengthComputable) {
                        $('progress').attr({ value: e.loaded, max: e.total });
                    }
                } , false);
            }
            return myXhr;
        },

    });

    return false;

}


function showPanel() {
    $(".panel").hide();
    $("#" + $(this).attr("data")).show();
    if ($("#layout").hasClass('active')) toggleMenu();
    $("input[type='checkbox']").iphoneStyle("calculateDimensions").iphoneStyle("refresh");
};

function toggleMenu() {
    $("#layout").toggleClass('active');
    $("#menu").toggleClass('active');
    $("#menuLink").toggleClass('active');
}



function processData(data) {

    $("#credentials").show();
    // title
    if ("app" in data) {
        var title = data.app;
		if ("version" in data) {
			title = title + " " + data.version;
		}
        $(".pure-menu-heading").html(title);
        if ("hostname" in data) {
            title = data.hostname + " - " + title;
        }
        document.title = title;
    }
    Object.keys(data).forEach(function(key) {

        // Web Modes
        if (key == "webMode") {
            password = data[key].data;
            $("#layout").toggle(data[key].data == 1);

            $("#password").toggle(data[key].data == 0);

            $("#credentials").hide();
        }


        // Look for INPUTs
        var element = $("input[name=" + key + "]");
        if (element.length > 0) {
            if (element.attr('type') == 'checkbox') {
                element
                    .prop("checked", data[key])
                    .iphoneStyle("refresh");
            } else if (element.attr('type') == 'radio') {
                element.val([data[key]]);
            } else {
                element.val(data[key]);
            }
            return;
        }

        // Look for SELECTs
        var element = $("select[name=" + key + "]");
        if (element.length > 0) {
            element.val(data[key]);
            return;
        }

    });


}


function connect(h, p) {

    if (typeof h === 'undefined') {
        h = window.location.hostname;
    }
    if (typeof p === 'undefined') {
        p = location.port;
    }
    host = h;
    port = p;
    
    console.log("HTTP Get Request start");
    var ret_getconfig = HTTPrequest('http://' + host + ':' + port + '/script/getconfig.py', 'GET', callback_getconfig, 'json', null , null );
    var ret_getsavedata = HTTPrequest('http://' + host + ':' + port + '/script/getsavedata.py', 'GET', callback_getsavedata, 'json', null , null );
    var ret_getauth = HTTPrequest('http://' + host + ':' + port + '/script/auth.py', 'GET', callback_getauth, 'json', null , null );


    return;
}

 function callback_getauth(data) {
    if( data.response )
    {
        //console.log(data.response);
        var getstatus_obj = data.response;
        
        processData(getstatus_obj);
    }
 }

 //HDIP設定値　解読箇所
function callback_getconfig(data) {
    if( data.response )
    {
        //console.log(data.response);
        //装置の設定値を取得
        var getstatus_obj = data.response;
        config_load = getstatus_obj;

        //HTMLのフォームを取得
        var form = $("#formSave");
        var data = form.serializeArray();
        var data_obj = new Object();
        Object.keys(data).forEach(function(key) {
            if (data[key].name.match(/-/)){
                var keysplit = data[key].name.split("-");
                var obj = new Object();
                if(data_obj[keysplit[0]] != null){
                    obj = data_obj[keysplit[0]]
                }
                obj[keysplit[1]] = data[key].value;
                data_obj[keysplit[0]] = obj;
            }
        });
        
        Object.keys(getstatus_obj).forEach(function(key0) {
            var obj0 = data_obj[key0];
            if(obj0 != null){
                Object.keys(obj0).forEach(function(key1) {
                    
                    var temp0 = document.getElementsByName(key0 + "-" + key1);
                    var formtype = temp0[0].type;
                    var formclass = temp0[0].className;
                    if(formtype == "select-one"){
                        $("select[name="+key0+"-"+key1+"]").val(getstatus_obj[key0][key1]);
                    }
                    
                    if(formtype == "number" && formclass.indexOf('pure-u-1') > -1){
                        $("input[name="+key0+"-"+key1+"]").val(getstatus_obj[key0][key1]);
                    }
                    
                    if(formtype == "text" && formclass.indexOf('pure-u-1') > -1){
                        if( (key0 == 'application') && ((key1 == 'mode') ) ){
                            // 値が 0 なら NGN, 1 なら IPモード
                            if(getstatus_obj[key0][key1] == '0'){
                                mode_IP_NGN = 'NGN';
                                $("input[name="+key0+"-"+key1+"]").val('NGNモード');
                            }else{
                                mode_IP_NGN = 'IP';
                                $("input[name="+key0+"-"+key1+"]").val('IPモード');
                            }
                        }else{
                            $("input[name="+key0+"-"+key1+"]").val(getstatus_obj[key0][key1]);
                        }
                    }

                    if(formtype == "text" && formclass.indexOf('slider') > -1){
                        var formsplit = formclass.split(" ");
                        var $instance_slider = $("."+formsplit);
                        var slider = $instance_slider.data("ionRangeSlider");

                        if( (key0 == 'audio') && ((key1.indexOf('in_gain') > -1) || (key1.indexOf('out_gain') > -1)) ){
                            slider.update({
                                min: -10,
                                max: 10
                            });
                        }
                        if( (key0 == 'incom') && ((key1.indexOf('gain') > -1) ) ){
                            slider.update({
                                min: -20,
                                max: 20
                            });
                        }
                        if( (key0 == 'headphone') && ((key1.indexOf('volume') > -1) ) ){
                            slider.update({
                                min: -63,
                                max: 0,
                                step: 1
                            });
                        }
                        
                        if( (key0 == 'headphone') && ((key1.indexOf('volume') > -1) ) ){
                            slider.update({
                                from: getstatus_obj[key0][key1]-63,
                                to: getstatus_obj[key0][key1]-63,
                            });
                        }else{
                            slider.update({
                                from: getstatus_obj[key0][key1],
                                to: getstatus_obj[key0][key1],
                            });

                        }
                    }
                });
            }
        });
        
        calc_audio_ms();
        calc_incom_ms();
    }
 }

//Saveデータ HTTP Request Callback関数
 function callback_getsavedata(data) {
    if( data.response )
    {
        //console.log(data.response);
        var getstatus_obj = data.response;
        config_savedata = getstatus_obj;

        var form = $("#formStatus");
        var form2 = $("#formSave");
        var data = form.serializeArray();
        var data_obj = new Object();
        Object.keys(data).forEach(function(key) {
            if (data[key].name.match(/-/)){
                var keysplit = data[key].name.split("-");
                var obj = new Object();
                if(data_obj[keysplit[0]] != null){
                    obj = data_obj[keysplit[0]]
                }
                obj[keysplit[1]] = data[key].value;
                data_obj[keysplit[0]] = obj;
            }
        });
        
        var i =0;
        Object.keys(getstatus_obj).forEach(function(key0) {
            var obj0 = data_obj[key0];
            if(obj0 != null){
                Object.keys(obj0).forEach(function(key1) {
                    
                    var temp0 = document.getElementsByName(key0 + "-" + key1);
                    var formtype = temp0[0].type;
                    var formclass = temp0[0].className;

                    if(formtype == "text" && formclass.indexOf('pure-u-1') > -1){
                        $("input[name="+key0+"-"+key1+"]").val(getstatus_obj[key0][key1]);
                    }
                    if((key0 == '_parameter') && (key1 == 'name')){
                        document.getElementById("Menu-"+key0+"-"+key1).innerText = getstatus_obj[key0][key1];
                    }
                });
            }
        });
        doEnableDisbleFormUpdate();
    }
 }




//Audio設定項目　時間換算計算
 function calc_audio_ms() {
    
    //packet ms calc
    var key0 = 'audio-pkts_for_pback';
    var temp = parseInt( $("input[name="+key0+"]").val() , 10);
    temp = temp * 128 / 48;
    $("input[name="+key0+"_msec]").val(temp.toFixed(1));

    //sample ms calc
    var key0 = 'audio-smpls_for_dec';
    var temp = parseInt( $("input[name="+key0+"]").val() , 10);
    temp = temp * 1 / 48;
    $("input[name="+key0+"_msec]").val(temp.toFixed(1));
    
    //sample ms calc
    var key0 = 'audio-smpls_for_stop';
    var temp = parseInt( $("input[name="+key0+"]").val() , 10);
    temp = temp * 1 / 48;
    $("input[name="+key0+"_msec]").val(temp.toFixed(1));
    
    //packet ms calc
    var key0 = 'audio-pkts_for_pback_ip';
    var temp = parseInt( $("input[name="+key0+"]").val() , 10);
    temp = temp * 128 / 48;
    $("input[name="+key0+"_msec]").val(temp.toFixed(1));
    
    //sample ms calc
    var key0 = 'audio-smpls_for_dec_ip';
    var temp = parseInt( $("input[name="+key0+"]").val() , 10);
    temp = temp * 1 / 48;
    $("input[name="+key0+"_msec]").val(temp.toFixed(1));
    
    //sample ms calc
    var key0 = 'audio-smpls_for_stop_ip';
    var temp = parseInt( $("input[name="+key0+"]").val() , 10);
    temp = temp * 1 / 48;
    $("input[name="+key0+"_msec]").val(temp.toFixed(1));
    
    //packet ms calc
    var key0 = 'audio-in_delay';
    var temp = parseInt( $("input[name="+key0+"]").val() , 10);
    temp = temp * 128 / 48;
    $("input[name="+key0+"_msec]").val(temp.toFixed(1));
    
    //packet ms calc
    var key0 = 'audio-out_delay';
    var temp = parseInt( $("input[name="+key0+"]").val() , 10);
    temp = temp * 128 / 48;
    $("input[name="+key0+"_msec]").val(temp.toFixed(1));

 }

//インカム設定項目　時間換算計算
function calc_incom_ms() {

    //packet ms calc
    var key0 = 'incom-pkts_for_pback';
    var temp = parseInt( $("input[name="+key0+"]").val() , 10);
    temp = temp * 20;
    $("input[name="+key0+"_msec]").val(temp.toFixed(1));

    //packet ms calc
    var key0 = 'incom-pkts_for_pback_ip';
    var temp = parseInt( $("input[name="+key0+"]").val() , 10);
    temp = temp * 20;
    $("input[name="+key0+"_msec]").val(temp.toFixed(1));

}

//画面初期動作
function init() {

    $("#menuLink").on('click', toggleMenu);
    //Updateボタン
    $(".button-update").on('click', doUpdate);
    //ロゴ画像アップロードボタンクリック動作
    $(".button-upgrade").on('click', doLogoUpload);
    //ロゴ画像ブラウズボタンクリック動作
    $(".button-upgrade-browse").on('click', function() {
        $("input[name='upgrade']")[0].click();
        return false;
    });
    //Audio項目の音声コーデックの項目に変化があった場合に実行
    $("input[name='upgrade']").change(function (){
        var fileName = $(this).val();
        $("input[name='filename']").val(fileName.replace(/^.*[\\\/]/, ''));
    });

    //Audio項目の音声コーデックの項目に変化があった場合に実行
    $("select[name='audio-codec_id']").change(function (){
        doEnableDisbleFormUpdate();
    });

    $('progress').attr({ value: 0, max: 100 });
    $(".pure-menu-link").on('click', showPanel);

    //オーディオおよびインカムのms計算の該当項目の変更及びクリック時に計算関数を実行
    $("input[name^='audio-']").on('change', calc_audio_ms);
    $("input[name^='audio-']").on('keyup', calc_audio_ms);
    $("input[name^='incom-']").on('change', calc_incom_ms);
    $("input[name^='incom-']").on('keyup', calc_incom_ms);

    //disable enter key
    $("input"). keydown(function(e) {
        if ((e.which && e.which === 13) || (e.keyCode && e.keyCode === 13)) {
            return false;
        } else {
            return true;
        }
    });


    var host = window.location.hostname;
    var port = location.port;
    //機器データ接続（Perlへのリクエスト）
    console.log("try connect");
    connect();

    
    $(".module-dcz").show();

    //スライダー部品の表示設定
    $(".bar_analog_gain").ionRangeSlider({
        hide_min_max: true,
        keyboard: true,
        min: -10,
        max: 10,
        from: 0,
        to: 0,
        step: 0.1,
        prefix: "",
        postfix: 'dB',
        grid: true
    });

    //スライダー部品の表示設定
    $(".bar_analog_fix").ionRangeSlider({
        hide_min_max: true,
        keyboard: true,
        min: -3,
        max: 3,
        from: 0,
        to: 0,
        step: 0.1,
        prefix: "",
        postfix: 'dB',
        grid: true
    });

    //スライダー部品の表示設定
    for (var i = 0; i < 20; i++) {
        $(".slider_"+i).ionRangeSlider({
            hide_min_max: true,
            keyboard: true,
            min: -10,
            max: 10,
            from: 0,
            to: 0,
            step: 0.1,
            prefix: "",
            postfix: ' dB',
            grid: true
        });
     }


}

$(init);



